List track report instances
curl --request GET \
--url https://api.doozy.live/v1/tracks/{track_id}/report/instances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/tracks/{track_id}/report/instances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/tracks/{track_id}/report/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/tracks/{track_id}/report/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/tracks/{track_id}/report/instances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/tracks/{track_id}/report/instances")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/tracks/{track_id}/report/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "track_enrollee",
"id": "K2CC1FIYz0JGcnCsNbIa",
"track_name": "New Hire Onboarding",
"user_id": "06gPNJbvBuM2i8BKRXct",
"email": "jane.doe@example.com",
"display_name": "Jane Doe",
"slack_user_id": "U01234567",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "John Smith",
"manager_email": "john.smith@example.com",
"manager_id": "trtYwpMXOTWLPLg6Pjfs",
"mentor_user_id": "27U7XioXk7k08gxOD59X",
"mentor_name": "Alex Johnson",
"mentor_email": "alex.johnson@example.com",
"mentor_assigned_at": "2026-01-15T11:00:00.000Z",
"group_names": [
"Engineering",
"Backend"
],
"trigger": "user_join",
"status": "active",
"failure_reason": null,
"failure_reason_message": "The user could not be found",
"failed_by": {
"uid": "3uWpQ1lpVcvS0BisXwGg",
"display_name": "John Doe",
"email": "john@example.com",
"image_token": "U2cIK8VPYKqQxpfEz7iG",
"team_id": "DszkbQaLQw4JOIBAZqzT",
"team_name": "Engineering",
"seniority": 2
},
"started_at": "2026-01-15T10:30:00.000Z",
"delivered_at": "2026-01-20T10:00:00.000Z",
"completed_at": null,
"failed_at": null,
"next_step_at": "2026-01-20T09:00:00.000Z",
"added_by_user_id": "CAbS4yGYOdeTlc1s3ETk",
"added_by_track_id": "1Q4L13Hd3vMogMxVnCjR",
"timezone": "America/New_York",
"steps_delivered": 4,
"steps_completed": 3,
"steps_total": 5,
"steps_skipped": 1,
"delivery_progress_percentage": 80,
"completion_progress_percentage": 60,
"step_progress": [
{
"object": "track_step_progress",
"step_id": "NKqbhqFnRyGChRhvM6bB",
"step_type": "survey",
"title": "Onboarding Survey",
"display_title": "Onboarding Survey",
"order": 1,
"day": 0,
"time": "09:00",
"scheduled_at": "2026-01-16T14:00:00.000Z",
"status": "completed",
"started_at": "2026-01-15T10:30:00.000Z",
"delivered_at": "2026-01-15T11:00:00.000Z",
"completed_at": "2026-01-16T14:30:00.000Z",
"failed_at": null,
"skipped_at": null,
"failure_reason": null,
"failure_reason_message": "No mentor is available for assignment",
"destination_type": "user",
"result": {
"object": "track_step_survey_result",
"survey_id": "2XOADZ5X978jbJUbveb9",
"survey_instance_id": "269Z8Xs5tIgUaJcOKCFM",
"status": "responded",
"responded_at": "2026-01-16T14:30:00.000Z",
"answers": [
{
"question_id": "t06iKVkbhqv0tiDitrWL",
"question_text": "How satisfied are you with your onboarding?",
"question_type": "scale_1_to_10",
"value": 8,
"comment": "Great experience!"
}
]
},
"channel": "slack",
"variant_id": "default",
"skip_reason": null,
"skip_reason_message": null,
"blocked_reason": null,
"blocked_reason_message": null,
"blocked_at": null,
"expires_at": null
}
]
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Tracks
List track report instances
The enrollees or group runs behind a track report, with step progress and, optionally, step results. Takes the report’s filters.
GET
/
v1
/
tracks
/
{track_id}
/
report
/
instances
List track report instances
curl --request GET \
--url https://api.doozy.live/v1/tracks/{track_id}/report/instances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/tracks/{track_id}/report/instances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/tracks/{track_id}/report/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/tracks/{track_id}/report/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/tracks/{track_id}/report/instances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/tracks/{track_id}/report/instances")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/tracks/{track_id}/report/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "track_enrollee",
"id": "K2CC1FIYz0JGcnCsNbIa",
"track_name": "New Hire Onboarding",
"user_id": "06gPNJbvBuM2i8BKRXct",
"email": "jane.doe@example.com",
"display_name": "Jane Doe",
"slack_user_id": "U01234567",
"department": "Engineering",
"location": "San Francisco, CA",
"manager_name": "John Smith",
"manager_email": "john.smith@example.com",
"manager_id": "trtYwpMXOTWLPLg6Pjfs",
"mentor_user_id": "27U7XioXk7k08gxOD59X",
"mentor_name": "Alex Johnson",
"mentor_email": "alex.johnson@example.com",
"mentor_assigned_at": "2026-01-15T11:00:00.000Z",
"group_names": [
"Engineering",
"Backend"
],
"trigger": "user_join",
"status": "active",
"failure_reason": null,
"failure_reason_message": "The user could not be found",
"failed_by": {
"uid": "3uWpQ1lpVcvS0BisXwGg",
"display_name": "John Doe",
"email": "john@example.com",
"image_token": "U2cIK8VPYKqQxpfEz7iG",
"team_id": "DszkbQaLQw4JOIBAZqzT",
"team_name": "Engineering",
"seniority": 2
},
"started_at": "2026-01-15T10:30:00.000Z",
"delivered_at": "2026-01-20T10:00:00.000Z",
"completed_at": null,
"failed_at": null,
"next_step_at": "2026-01-20T09:00:00.000Z",
"added_by_user_id": "CAbS4yGYOdeTlc1s3ETk",
"added_by_track_id": "1Q4L13Hd3vMogMxVnCjR",
"timezone": "America/New_York",
"steps_delivered": 4,
"steps_completed": 3,
"steps_total": 5,
"steps_skipped": 1,
"delivery_progress_percentage": 80,
"completion_progress_percentage": 60,
"step_progress": [
{
"object": "track_step_progress",
"step_id": "NKqbhqFnRyGChRhvM6bB",
"step_type": "survey",
"title": "Onboarding Survey",
"display_title": "Onboarding Survey",
"order": 1,
"day": 0,
"time": "09:00",
"scheduled_at": "2026-01-16T14:00:00.000Z",
"status": "completed",
"started_at": "2026-01-15T10:30:00.000Z",
"delivered_at": "2026-01-15T11:00:00.000Z",
"completed_at": "2026-01-16T14:30:00.000Z",
"failed_at": null,
"skipped_at": null,
"failure_reason": null,
"failure_reason_message": "No mentor is available for assignment",
"destination_type": "user",
"result": {
"object": "track_step_survey_result",
"survey_id": "2XOADZ5X978jbJUbveb9",
"survey_instance_id": "269Z8Xs5tIgUaJcOKCFM",
"status": "responded",
"responded_at": "2026-01-16T14:30:00.000Z",
"answers": [
{
"question_id": "t06iKVkbhqv0tiDitrWL",
"question_text": "How satisfied are you with your onboarding?",
"question_type": "scale_1_to_10",
"value": 8,
"comment": "Great experience!"
}
]
},
"channel": "slack",
"variant_id": "default",
"skip_reason": null,
"skip_reason_message": null,
"blocked_reason": null,
"blocked_reason_message": null,
"blocked_at": null,
"expires_at": null
}
]
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
Was this page helpful?